.team {
    padding: 50px 0px;
    border-top: 1px solid $main_color_text;
}

.team-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(2, 1fr);
    padding: 0px 70px;
    gap: 30px;
    grid-template-areas:
        "tyra darcel brittni roselle"
        "jane robert cta cta";
}

.team-list__item {
    @include PosElFlex ($d: flex, $fd: column, $jc: center, $ai: flex-start);
    width: calc(25% - 30px);
    padding: 30px 0px;
    gap: 10px;
}

.team-card {
    @include PosElFlex ($d: flex, $fd: column, $jc: center, $ai: flex-start);
    gap: 15px;

    &.team-card--tyra {
        grid-area: tyra;
    }

    &.team-card--darcel {
        grid-area: darcel;
    }

    &.team-card--brittni {
        grid-area: brittni;
    }

    &.team-card--roselle {
        grid-area: roselle;
    }

    &.team-card--jane {
        grid-area: jane;
    }

    &.team-card--robert {
        grid-area: robert;
    }
}

.team-card__title {
    font-family: "Gilroy-Bold";
    font-weight: 800;
    font-style: normal;
    color: #333;
    font-size: 30px;
    line-height: normal;
    text-transform: uppercase;
}

.team-card__subtitle {
    font-family: "Gilroy-Medium";
    color: #333;
    font-size: 20px;
    line-height: normal;
}

.team-card__image img {
    width: 415px;
    height: 507px;
    filter: grayscale(100%)
}

.team-card__socials-list {
    @include PosElFlex ($d: flex, $fd: row, $jc: flex-end, $ai: right);
    gap: 40px;
    padding-left: 150%;

    &:hover,
    &:focus {
        scale: 1;
        background-color: rgba(#fff, 0.8);
    }
}

.svg-socials-facebook svg,
.svg-socials-twitter svg,
.svg-socials-linkedin svg,
.svg-socials-dribble svg {
    position: absolute;
    fill: #252525;
    width: 30px;
    height: 30px;


}

@media (min-width: 1200px) {
    .team-list__item {
        width: calc(33.33% - 30px);
    }

    .team-list__item,
    .cta-block {
        width: calc(50% - 30px);
    }
}

.cta-block {
    @include PosElFlex ($d: flex, $fd: column, $jc: space-between, $ai: flex-start);

    width: calc(50% - 30px);
    grid-column: span 2;

    &.cta-block--cta {
        grid-area: cta;
        grid-column: span 2;
    }

}

@media (max-width: 1200px) {
    .team-list {
        grid-template-columns: repeat(2, 1fr);
    }

    .cta-block {
        grid-column: span 2;
    }
}


.cta-block__item {
    @include PosElFlex ($d: flex, $fd: column, $jc: center, $ai: flex-start);
    gap: 15px;
    flex: 1 0 0;
    align-self: stretch;
}

.cta-block____subtitle {
    font-family: "Gilroy-Regular";
    color: #333;
    font-size: 30px;
    line-height: normal;
    text-transform: uppercase;
}

.cta-block____title {
    font-family: "Gilroy-Bold";
    color: #333;
    font-size: 64px;
    line-height: normal;
    text-transform: uppercase;
}

.cta-block__btn {
    @include PosElFlex ($d: flex, $fd: row, $jc: flex-end, $ai: center);
    padding: 10px 30px;
    border-radius: 50px;
    background: $additional_color_text;

    .cta-block__btn-link {
        font-family: "Gilroy-Medium";
        color: $secondary_color_text;
        font-size: 18px;
        line-height: normal;
        text-transform: capitalize;
    }

    &::after {
        content: '';
        width: 24px;
        height: 17px;
        margin-left: 10px;
        background-image: url("../images/arrows/arrow-right.svg");
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
    }

}